Bug 193417

Summary: Use MonotonicTime in WorkerRunLoop
Product: WebKit Reporter: youenn fablet <youennf>
Component: Service WorkersAssignee: youenn fablet <youennf>
Status: RESOLVED FIXED    
Severity: Normal CC: benjamin, cdumez, cmarcelo, commit-queue, dbates, ews-watchlist, sbarati, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugs.webkit.org/show_bug.cgi?id=193359
Attachments:
Description Flags
Patch
none
Patch
none
Patch none

Description youenn fablet 2019-01-14 16:30:28 PST
Use MonotonicTime in WorkerRunLoop
Comment 1 youenn fablet 2019-01-14 17:57:08 PST
Created attachment 359109 [details]
Patch
Comment 2 EWS Watchlist 2019-01-16 13:20:12 PST
Attachment 359109 [details] did not pass style-queue:


ERROR: Source/WTF/wtf/MessageQueue.h:131:  More than one command on the same line  [whitespace/newline] [4]
Total errors found: 1 in 4 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 youenn fablet 2019-01-16 15:06:17 PST
Created attachment 359317 [details]
Patch
Comment 4 EWS Watchlist 2019-01-16 15:08:12 PST
Attachment 359317 [details] did not pass style-queue:


ERROR: Source/WTF/wtf/MessageQueue.h:131:  More than one command on the same line  [whitespace/newline] [4]
Total errors found: 1 in 5 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 5 youenn fablet 2019-01-16 16:03:36 PST
Created attachment 359330 [details]
Patch
Comment 6 EWS Watchlist 2019-01-16 16:06:19 PST
Attachment 359330 [details] did not pass style-queue:


ERROR: Source/WTF/wtf/MessageQueue.h:131:  More than one command on the same line  [whitespace/newline] [4]
Total errors found: 1 in 4 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 7 Saam Barati 2019-01-20 12:39:23 PST
Comment on attachment 359330 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=359330&action=review

r=me

> Source/WebCore/workers/WorkerRunLoop.cpp:54
> +    void stop() final { m_nextFireTime = MonotonicTime { }; }

would: `m_nextFireTime = { }` work?
Comment 8 WebKit Commit Bot 2019-01-24 10:30:30 PST
Comment on attachment 359330 [details]
Patch

Clearing flags on attachment: 359330

Committed r240441: <https://trac.webkit.org/changeset/240441>
Comment 9 WebKit Commit Bot 2019-01-24 10:30:32 PST
All reviewed patches have been landed.  Closing bug.
Comment 10 Radar WebKit Bug Importer 2019-01-24 10:31:56 PST
<rdar://problem/47520340>
Comment 11 youenn fablet 2019-01-24 10:43:03 PST
(In reply to Saam Barati from comment #7)
> Comment on attachment 359330 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=359330&action=review
> 
> r=me
> 
> > Source/WebCore/workers/WorkerRunLoop.cpp:54
> > +    void stop() final { m_nextFireTime = MonotonicTime { }; }
> 
> would: `m_nextFireTime = { }` work?

Sorry did not see your comment, will fix it.